# $Revision: 1.19 $, $Date: 2012/03/25 22:45:04 $
# NOTE: g++ eats 600+MB of memory
Summary:	Image blending with multiresolution splines
Summary(pl.UTF-8):	Łączenie zdjęć przy użyciu splajnów wielokrotnej rozdzielczości
Name:		enblend-enfuse
Version:	4.0
Release:	2
License:	GPL v2+
Group:		Applications/Graphics
Source0:	http://downloads.sourceforge.net/enblend/%{name}-%{version}.tar.gz
# Source0-md5:	2e7c950061e0085fd75d94576130250f
Patch0:		%{name}-libpng.patch
Patch1:		%{name}-info.patch
Patch2:		%{name}-libpng15.patch
URL:		http://enblend.sourceforge.net/
BuildRequires:	OpenEXR-devel >= 1.0
BuildRequires:	OpenGL-GLU-devel
BuildRequires:	OpenGL-glut-devel
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake
BuildRequires:	boost-devel >= 1.35.0
BuildRequires:	glew-devel
BuildRequires:	help2man
BuildRequires:	lcms-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel >= 5:3.4
BuildRequires:	libtiff-devel
BuildRequires:	libxmi-devel
BuildRequires:	pkgconfig
BuildRequires:	texinfo
BuildRequires:	transfig
BuildRequires:	zlib-devel
Provides:	enblend = %{version}
Obsoletes:	enblend
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Enblend is a tool for compositing images. Given a set of images that
overlap in some irregular way, Enblend overlays them in such a way
that the seam between the images is invisible, or at least very
difficult to see. Enblend does not line up the images for you. Use a
tool like Hugin to do that.

%description -l pl.UTF-8
Enblend to narzędzie do łączenia zdjęć. Po przekazaniu zbioru zdjęć
nachodzących na siebie w jakiś nieregularny sposób Enblend nakłada je
w taki sposób, że połączenia między zdjęciami są niewidoczne, albo
przynajmniej bardzo trudne do zobaczenia. Enblend nie wyrównuje zdjęć
- do tego można użyć narzędzia takiego jak Hugin.

%prep
%setup -q -n %{name}-%{version}-753b534c819d
%patch0 -p1
%patch1 -p1
%patch2 -p0

%build
%{__aclocal} -I m4
%{__autoheader}
%{__automake}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README VIGRA_LICENSE
%attr(755,root,root) %{_bindir}/enblend
%attr(755,root,root) %{_bindir}/enfuse
%{_mandir}/man1/enblend.1*
%{_mandir}/man1/enfuse.1*
%{_infodir}/enblend.info*
%{_infodir}/enfuse.info*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: enblend-enfuse.spec,v $
Revision 1.19  2012/03/25 22:45:04  sparky
- added libpng 1.5 patch (found in arch linux)

Revision 1.18  2012/01/31 21:00:56  lisu
- BR: transfig (needed to build whole documentation)

Revision 1.17  2012/01/30 15:12:06  lisu
- rel 2

Revision 1.16  2010/10/31 13:33:09  qboosh
- added info patch

Revision 1.15  2010/03/14 00:19:02  sparky
- BR: help2man

Revision 1.14  2010/03/01 11:51:02  hawk
- updated to 4.0, added fix for libpng 1.4

Revision 1.13  2010/02/27 17:08:50  hawk
- release 2

Revision 1.12  2008/09/09 19:47:46  qboosh
- updated to 3.2
- renamed to enblend-enfuse following upstream
- added opt patch, removed obsolete link patch

Revision 1.11  2008/08/25 00:52:18  aredridel
- 3.1

Revision 1.10  2008/08/05 10:20:03  hawk
- release 2

Revision 1.9  2008/04/29 14:06:06  pluto
- reorganize boost BRs (boost-devel >= 1.35.0).

Revision 1.8  2007-04-25 15:16:39  megabajt
- added x86_64 patch

Revision 1.7  2007/02/12 21:23:54  glen
- tabs in preamble

Revision 1.6  2007/02/12 00:48:47  baggins
- converted to UTF-8

Revision 1.5  2007/02/04 09:07:49  qboosh
- updated to 3.0

Revision 1.4  2005/12/14 20:06:21  qboosh
- updated to 2.5

Revision 1.3  2005/12/06 14:00:21  qboosh
- updated to 2.4 (enblend-2.3 AC-branched as 2.4 doesn't build using gcc 3.3)

Revision 1.2  2005/04/19 17:03:12  qboosh
- updated to 2.3

Revision 1.1  2005/04/03 00:33:48  qboosh
- new
